Package org.jcsp.net

# Class LinkLostException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.LinkLostException

All Implemented Interfaces:
  `Serializable`

public class LinkLostException extends RuntimeException
An exception caused by a link underlying a channel breaking.

Author:
  Quickstone Technologies Limited.
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinkLostException(Object source)`
Constructor.
`LinkLostException(Object source, String description)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinkLostException

public LinkLostException(Object source)
Constructor.

### LinkLostException

public LinkLostException(Object source, String description)
Constructor.

Parameters:
  `description` - Description of the error.